

# GetCase
<a name="API_connect-cases_GetCase"></a>

Returns information about a specific case if it exists. 

## Request Syntax
<a name="API_connect-cases_GetCase_RequestSyntax"></a>

```
POST /domains/domainId/cases/caseId HTTP/1.1
Content-type: application/json

{
   "fields": [ 
      { 
         "id": "string"
      }
   ],
   "nextToken": "string"
}
```

## URI Request Parameters
<a name="API_connect-cases_GetCase_RequestParameters"></a>

The request uses the following URI parameters.

 ** [caseId](#API_connect-cases_GetCase_RequestSyntax) **   <a name="connect-connect-cases_GetCase-request-uri-caseId"></a>
A unique identifier of the case.  
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

 ** [domainId](#API_connect-cases_GetCase_RequestSyntax) **   <a name="connect-connect-cases_GetCase-request-uri-domainId"></a>
The unique identifier of the Cases domain.   
Length Constraints: Minimum length of 1. Maximum length of 500.  
Required: Yes

## Request Body
<a name="API_connect-cases_GetCase_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [fields](#API_connect-cases_GetCase_RequestSyntax) **   <a name="connect-connect-cases_GetCase-request-fields"></a>
A list of unique field identifiers.   
Type: Array of [FieldIdentifier](API_connect-cases_FieldIdentifier.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 220 items.  
Required: Yes

 ** [nextToken](#API_connect-cases_GetCase_RequestSyntax) **   <a name="connect-connect-cases_GetCase-request-nextToken"></a>
The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 9000.  
Required: No

## Response Syntax
<a name="API_connect-cases_GetCase_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "fields": [ 
      { 
         "id": "string",
         "value": { ... }
      }
   ],
   "nextToken": "string",
   "tags": { 
      "string" : "string" 
   },
   "templateId": "string"
}
```

## Response Elements
<a name="API_connect-cases_GetCase_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [fields](#API_connect-cases_GetCase_ResponseSyntax) **   <a name="connect-connect-cases_GetCase-response-fields"></a>
A list of detailed field information.   
Type: Array of [FieldValue](API_connect-cases_FieldValue.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 220 items.

 ** [nextToken](#API_connect-cases_GetCase_ResponseSyntax) **   <a name="connect-connect-cases_GetCase-response-nextToken"></a>
The token for the next set of results. This is null if there are no more results to return.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 9000.

 ** [tags](#API_connect-cases_GetCase_ResponseSyntax) **   <a name="connect-connect-cases_GetCase-response-tags"></a>
A map of of key-value pairs that represent tags on a resource. Tags are used to organize, track, or control access for this resource.  
Type: String to string map

 ** [templateId](#API_connect-cases_GetCase_ResponseSyntax) **   <a name="connect-connect-cases_GetCase-response-templateId"></a>
A unique identifier of a template.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

## Errors
<a name="API_connect-cases_GetCase_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
We couldn't find the requested resource. Check that your resources exists and were created in the same AWS Region as your request, and try your request again.    
 ** resourceId **   
Unique identifier of the resource affected.  
 ** resourceType **   
Type of the resource affected.
HTTP Status Code: 404

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## Examples
<a name="API_connect-cases_GetCase_Examples"></a>

### Request and Response example
<a name="API_connect-cases_GetCase_Example_1"></a>

This example illustrates one usage of GetCase.

```
{
  "fields": [
  {
    "id": "title"
  },
  {
  "id": "status"
  }
 ]
}
```

```
{
  "fields": [
    {
      "id": "title",
      "value": {
         "stringValue": "Incorrect Shipping Address"
          }
     },
     {
      "id": "status",
      "value": {
         "stringValue": "Open"
          }
     }
  ],
  "templateId": "[template_id]",
  "tags": {},
  "nextToken": [nextToken]
}
```

## See Also
<a name="API_connect-cases_GetCase_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/GetCase) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/GetCase) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/GetCase) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/GetCase) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/GetCase) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/GetCase) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/GetCase) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/GetCase) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/GetCase) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/GetCase) 